From 5b01504da83e0a593a4adc24f77b22e7bfda9a0b Mon Sep 17 00:00:00 2001
From: Alvaro Herrera <alvherre@alvh.no-ip.org>
Date: Fri, 30 Sep 2022 11:00:57 +0200
Subject: [PATCH 1/2] tear down nodes on signal

---
 src/test/perl/PostgreSQL/Test/Cluster.pm | 9 ++++++++-
 1 file changed, 8 insertions(+), 1 deletion(-)

diff --git a/src/test/perl/PostgreSQL/Test/Cluster.pm b/src/test/perl/PostgreSQL/Test/Cluster.pm
index 4fef9c12e6..4a64cb749b 100644
--- a/src/test/perl/PostgreSQL/Test/Cluster.pm
+++ b/src/test/perl/PostgreSQL/Test/Cluster.pm
@@ -1539,7 +1539,6 @@ sub can_bind
 # were created in) when the test script exits.
 END
 {
-
 	# take care not to change the script's exit value
 	my $exit_code = $?;
 
@@ -2922,6 +2921,14 @@ sub corrupt_page_checksum
 	return;
 }
 
+#
+# Signal handlers
+#
+$SIG{TERM} = $SIG{INT} = sub
+{
+	exit 1;
+};
+
 =pod
 
 =back
-- 
2.30.2

